Skip to main content

Type Alias: GatewayInferenceComputerTool

type GatewayInferenceComputerTool = {
[key: string]: unknown;
type: "computer_use_preview";
display_width: number;
display_height: number;
environment: "mac" | "windows" | "ubuntu" | "browser";
};

Defined in: src/models/ai-gateway-inference.ts:3692

Portkey ComputerTool; additive response fields are preserved.

Example​

`GatewayInferenceComputerToolSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "computer_use_preview";

Defined in: src/models/ai-gateway-inference.ts:3693


display_width​

display_width: number;

Defined in: src/models/ai-gateway-inference.ts:3694


display_height​

display_height: number;

Defined in: src/models/ai-gateway-inference.ts:3695


environment​

environment: "mac" | "windows" | "ubuntu" | "browser";

Defined in: src/models/ai-gateway-inference.ts:3696